package org.hso.ecommerce.app;

import org.hso.ecommerce.app.config.AppSettings;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;


@SpringBootApplication
@ComponentScan(basePackages = {"org.hso.ecommerce"})
@EntityScan("org.hso.ecommerce")
@EnableJpaRepositories("org.hso.ecommerce")
public class Application {

    public static void main(String[] args) {
    	
    	AppSettings appSettings =  AppSettings.getInstance(); // This does not belongs here
    	
    	appSettings.writeDemoConfig();
    	
    	appSettings.readConfig(); // This does not belongs here either
    	
        //SpringApplication.run(Application.class, args);
    }

}
