package org.hso.ecommerce.app.config;

import java.util.List;


public class YAMLData {

	private String installationName;
	private String companyName;
	private Address companyAddress;
	private int numberOfStorageSpaces;
	//private List<Supplier> suppliers;
	private String parcelServiceName;
	private String parcelServiceApiURL;
	
	
	public String getInstallationName() {
		return installationName;
	}
	public void setInstallationName(String installationName) {
		this.installationName = installationName;
	}
	public String getCompanyName() {
		return companyName;
	}
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	
	public Address getCompanyAddress() {
		return companyAddress;
	}
	public void setCompanyAddress(Address companyAddress) {
		this.companyAddress = companyAddress;
	}
	
	public int getNumberOfStorageSpaces() {
		return numberOfStorageSpaces;
	}
	public void setNumberOfStorageSpaces(int numberOfStorageSpaces) {
		this.numberOfStorageSpaces = numberOfStorageSpaces;
	}
	/*
	public List<Supplier> getSuppliers() {
		return suppliers;
	}
	public void setSuppliers(List<Supplier> suppliers) {
		this.suppliers = suppliers;
	}
	*/
	public String getParcelServiceName() {
		return parcelServiceName;
	}
	public void setParcelServiceName(String parcelServiceName) {
		this.parcelServiceName = parcelServiceName;
	}
	public String getParcelServiceApiURL() {
		return parcelServiceApiURL;
	}
	public void setParcelServiceApiURL(String parcelServiceApiURL) {
		this.parcelServiceApiURL = parcelServiceApiURL;
	}
	
	public static class Address {

		public String streetName;
		public String houseNumber;
		public String zipCode;
		public String cityName;
		public String countryName;

		public Address(String streetName, String houseNumer, String zipCode, String cityName, String countryName) {
			this.streetName = streetName;
			this.houseNumber = houseNumer;
			this.zipCode = zipCode;
			this.cityName = cityName;
			this.countryName = countryName;
		}
	}
/*
	public static class Supplier {

		public String name;
		public String id;
		public String apiURL;
		public Address companyAddress;
		public int deliveryTime;

		public Supplier(String name, String id, String apiURL, Address companyAddress, int deliveryTime) {
			this.name = name;
			this.id = id;
			this.apiURL = apiURL;
			this.companyAddress = companyAddress;
			this.deliveryTime = deliveryTime;
		}

	}
	*/
}
